# C++ keyword: `using`

From cppreference.com
< cpp‎ | keyword

### Usage

- using-directives for namespaces and using-declarations for namespace members
- using-declarations for class members

- using-enum-declarations for enumerators

(since C++20)

- type alias and alias template declaration

(since C++11)

### See also

- `typedef`

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/keyword/using&oldid=175101"